CVE-2023-45805

CVSS 3.1 Score 7.8 of 10 (high)

Details

Published Oct 20, 2023
Updated: Oct 28, 2023
CWE ID 20

Summary

CVE-2023-45805 is a vulnerability in the pdm Python package and dependency manager that affects various products. It allows for the creation of a malicious pdm.lock file, which can be used by an insider or a malicious open source project to appear to depend on a trusted PyPI project while actually installing another project. By uploading a file with a specific name and version to pypi.org, the system can be tricked into executing arbitrary code during installation. The issue can be remediated by matching the project name exactly, not just as a prefix. This vulnerability poses a high risk to organizations as it could lead to unauthorized code execution and compromise the integrity and confidentiality of their systems.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-45805 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options